
QGIS Application - Bug report #1935

Crash when setting edit widget in layer properties dialogue/attribute tab to immutable

2009-09-17 02:53 AM - Andreas Neumann

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11995

Description

If one opens the layer properties dialogue --> Attribute Tab --> Edit Widget --> Separate Dialogue --> choose "immutable"

then QGIS crashes.

It happened with a Postgis data source - seems to work fine with shapefile through OGR.

Crash could be reproduced on Windows XP (OSGeo) and Linux Ubuntu 9.04 64bit.

Associated revisions

Revision 103d036a - 2009-09-23 04:49 PM - Jürgen Fischer

fix #1935

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@11704 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 7ecdb1db - 2009-09-23 04:49 PM - Jürgen Fischer

fix #1935

git-svn-id: http://svn.osgeo.org/qgis/trunk@11704 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-09-23 07:16 AM - Andreas Neumann

Further investigation shows that it has to do with the Postgis provider and the_geom column. Attributes/columns before the_geom work fine, but attributes

that come after the geometry column in the table definition are offset by one. This results in an invalid index at the end of the attributes list and thus in the

crash.

#2 - 2009-09-23 07:51 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

Replying to [comment:2 neumann]:
Further investigation shows that it has to do with the Postgis provider and the_geom column.

Attributes/columns before the_geom work fine, but attributes that come after the geometry column in the table definition are offset by one. This results in an

invalid index at the end of the attributes list and thus in the crash.

right, fixed in commit:7ecdb1db (SVN r11705).
